<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.template.mapper.SmartEvaluateStudentMapper">

    <select id="getHistoricalEvaluation" resultType="com.template.model.vo.HistoricalEvaluationVo">
        SELECT
            ses.term,
            ses.score_num as scoreNum,
            ses.score_level as scoreLevel
        FROM
            `smart_evaluate_student` ses
                LEFT JOIN smart_semester ss ON ses.term = ss.`name`
        WHERE ses.card_no=#{cardNo} and ses.deleted=0
        ORDER BY
            ss.start_time
    </select>
</mapper>
